mostly fixes
[distro-setup] / prof-tail
diff --git a/prof-tail b/prof-tail
new file mode 100644 (file)
index 0000000..7028ae7
--- /dev/null
+++ b/prof-tail
@@ -0,0 +1,38 @@
+#!/bin/bash
+set -e; . /usr/local/lib/err; set +e
+
+
+xmpp_users=(
+  anoukr
+  craigt
+  dawnbp
+  devinu
+  gregf
+  johnh
+  jrasata
+  ksiewicz
+  michael
+  miriam
+  ruben
+  zoe
+  jtuttle
+)
+
+
+while true; do
+  midnight=$(date -d '00:00:00 tomorrow' +%s)
+  secs_till_midnight=$(( midnight - EPOCHSECONDS ))
+  log_today=$(date '+%Y_%m_%d').log
+  logdir=/home/iank/.local/share/profanity/chatlogs/iank_at_fsf.org
+
+  timeout --foreground $secs_till_midnight tail -n0 -qF \
+          $(for u in ${xmpp_users[@]}; do echo $logdir/${u}_at_fsf.org/$log_today; done) 2>/dev/null \
+    | awk '$3 != "me:" {print $3; fflush()}'  | sed -u 's/^/pm /;s/@.*//' || [[ $? == 124 ]] &
+
+  timeout --foreground $secs_till_midnight tail -n0 -qF \
+          $logdir/rooms/*/$log_today 2>/dev/null \
+    | awk '$3 != "iank:"' | grep -i '\biank\b' | awk '{print $3; fflush()}' | sed 's/^/room /;s/@.*//' || [[ $? == 124 ]]
+
+  sleep 1
+
+done